diff --git a/home.admin/config.scripts/bonus.rtl.sh b/home.admin/config.scripts/bonus.rtl.sh
index b2d6b46..a2e86ca 100755
--- a/home.admin/config.scripts/bonus.rtl.sh
+++ b/home.admin/config.scripts/bonus.rtl.sh
@@ -32,30 +32,54 @@ if [ "$1" = "1" ] || [ "$1" = "on" ]; then
   isInstalled=$(sudo ls /etc/systemd/system/RTL.service 2>/dev/null | grep -c 'RTL.service')
   if [ ${isInstalled} -eq 0 ]; then
 
-    # install latest nodejs
-    # as in: https://github.com/nodejs/help/wiki/Installation
-    echo "*** Install NodeJS ***"
+    # determine nodeJS VERSION and DISTRO
     echo "Detect CPU architecture ..."
     isARM=$(uname -m | grep -c 'arm')
     isAARCH64=$(uname -m | grep -c 'aarch64')
     isX86_64=$(uname -m | grep -c 'x86_64')
     isX86_32=$(uname -m | grep -c 'i386\|i486\|i586\|i686\|i786')
-    VERSION=v10.16.0
+    VERSION="v10.16.0"
+    # get checksums from -> https://nodejs.org/dist/vx.y.z/SHASUMS256.txt
     if [ ${isARM} -eq 1 ] ; then
-      DISTRO="linux-armv7l"   
+      DISTRO="linux-armv7l"
+      CHECKSUM="3a3710722a1ce49b4c72c4af3155041cce3c4f632260ec8533be3fc7fd23f92c"
     fi
     if [ ${isAARCH64} -eq 1 ] ; then
       DISTRO="linux-arm64"
+      CHECKSUM="ae2e74ab2f5dbff96bf0b7d8457004bf3538233916f8834740bbe2d5a35442e5"
     fi
     if [ ${isX86_64} -eq 1 ] ; then
       DISTRO="linux-x64"
+      CHECKSUM="1827f5b99084740234de0c506f4dd2202a696ed60f76059696747c34339b9d48"
     fi
     if [ ${isX86_32} -eq 1 ] ; then
-      echo "Error - No X86 32bit build available - will abort setup"
+      echo "FAIL: No X86 32bit build available - will abort setup"
+      exit 1
+    fi
+    if [ ${#DISTRO} -eq 0 ]; then
+      echo "FAIL: Was not able to determine architecture"
       exit 1
     fi
+    echo "VERSION: ${VERSION}"
+    echo "DISTRO: ${DISTRO}"
+    echo "CHECKSUM: ${CHECKSUM}"
+    echo ""
+
+    # install latest nodejs
+    # https://github.com/nodejs/help/wiki/Installation
     echo "*** Install NodeJS $VERSION-$DISTRO ***"
+    
+    # download
     wget https://nodejs.org/dist/$VERSION/node-$VERSION-$DISTRO.tar.xz
+
+    # checksum
+    isChecksumValid=$(sha256sum node-$VERSION-$DISTRO.tar.xz | grep -c "${CHECKSUM}")
+    if [ ${isChecksumValid} -eq 0 ]; then
+      echo "FAIL: The checksum of node-$VERSION-$DISTRO.tar.xz is NOT ${CHECKSUM}"
+      exit 1
+    fi
+
+    # install
     sudo mkdir -p /usr/local/lib/nodejs
     sudo tar -xJvf node-$VERSION-$DISTRO.tar.xz -C /usr/local/lib/nodejs 
     export PATH=/usr/local/lib/nodejs/node-$VERSION-$DISTRO/bin:$PATH